Subject: Re: bug#43866: 26.3; italian postfix additions

From: Juri Linkov <[email-masked]>
Date: Wed, 21 Oct 2020 20:23:51 +0300

>> I tried to generate an output with a list of characters,
>> but can't find a print-related variable that would
>> print a number as a character.
>>
>> For example, currently
>>
>>   (prin1 ?⌘ (current-buffer)) => 8984
>>
>> prints the number 8984, but I need to print the character, i.e.
>>
>>   (prin1 ?⌘ (current-buffer)) => ?⌘
>
> I don't think I understand what you are looking for.  Would using the
> %c format in a call to 'format' be okay?  If not, why not?

The problem is that it's necessary to print a long list with vectors
that contain characters.  For example:

(prin1 '(("'A" . [?Á])
         ("'E" . [?É])
         ("'I" . [?Í])
         ("'O" . [?Ó])
         ("'U" . [?Ú])
         ("'Y" . [?Ý]))
       (current-buffer))

currently prints:

(("'A" . [193])
 ("'E" . [201])
 ("'I" . [205])
 ("'O" . [211])
 ("'U" . [218])
 ("'Y" . [221]))

whereas it would be nicer to print characters as characters,
not as integers:

(("'A" . [?Á])
 ("'E" . [?É])
 ("'I" . [?Í])
 ("'O" . [?Ó])
 ("'U" . [?Ú])
 ("'Y" . [?Ý]))

I can't find a variable that could change the output format
of integers to print them as characters.